<?php
	$type = 'post';
	$published = true;
	$title = 'Herzlichen Glückwunsch!';
	$description = '';
	$image = '';
	$cats = '';
	$tags = '';
	$date = '2024-06-16';
	$listed = true;
	$pinned = false;
	$front = true;
	include 'lib/default-header.php';
?>

<p>Dein Blog wurde erfolgreich installiert! Wie geht es nun weiter? Hier die nächsten möglichen Schritte:</p>

<ul>
	<li>Rufe das <a href="lib/setup" target="_blank" rel="noopener">Setup</a>-Programm auf und führe die Ersteinrichtung durch. Mehr dazu in der <a href="help#setup" target="_blank" rel="noopener">Hilfe</a>.</li>

	<li>Personalisiere deinen Blog! Wähle einen anderen Style oder passe die Farben selber an.
		<ul>
			<li>Über das <a href="lib/setup" target="_blank" rel="noopener">Setup</a>-Programm kannst du unter "Stylesheets für den Live-Modus" ein anderes <b>Benutzer-Stylesheet</b> auswählen. Probiere <b>cool.css</b>, <b>dark.css</b>, <b>green.css</b> oder <b>warm.css</b> aus.</li>

			<li>Oder verwende ganz <b>eigene Farben</b>! Wähle dazu im <a href="lib/setup" target="_blank" rel="noopener">Setup</a>-Programm unter "Stylesheets für den Vorschau-Modus" das Benutzer-Stylesheet <b>user.css</b> aus (oder erstelle ein eigenes Benutzer-Stylesheet). Dann passe es an und "schalte es scharf". Mehr dazu findest du in der <a href="help#design-user-css" target="_blank" rel="noopener">Hilfe</a>.</li>
		</ul>
	</li>

	<li>Passe das <b>Menü</b> an! In dem Menü oben kannst du beliebige Seiten verlinken. Lösche die Beispiel-Menüpunkte oder füge eigene Menüpunkte hinzu. Mehr dazu in der <a href="help#menu" target="_blank" rel="noopener">Hilfe</a>. Es ist auch zu empfehlen, das Untermenü "Admin" zu löschen und sich die dort aufgeführten Links als Browser-Lesezeichen zu speichern, damit nicht jeder Besucher deines Blogs diese Menüpunkte sieht.</li>

	<li>Passe das <b>Kontaktformular</b> an! Trage eine E-Mail-Adresse ein, an die die darüber versendeten Nachrichten gemailt werden sollen. Gehe dazu in den <a href="lib/editor" target="_blank" rel="noopener">Editor</a>, öffne die Datei "Kontakt" und passe sie entsprechend den Hinweisen in der <a href="help#contact" target="_blank" rel="noopener">Hilfe</a> an.</li>

	<li>Passe die <b>Seitenleiste</b> an! Rechts (oder links, je nach Style) in der Seitenleiste (oder bei schmalen Displays unterhalb diese Beitrages) siehst du einige Elemente, die sogenannten "<b>Widgets</b>". Wähle aus, welche Widgets in welcher Reihenfolge dort aufgefüht werden sollen, oder erstelle eigene Widgets. Wie das geht, erfährst du - na wo wohl? - in der <a href="help#widgets" target="_blank" rel="noopener">Hilfe</a>.</li>

	<li>Möchtest Du als <b>Startseite</b> keine Beitragsübersicht, sondern eine statische Seite haben? Auch das ist möglich: Siehe <a href="help#homepage" target="_blank" rel="noopener">Hilfe</a>...</li>

	<li>Setze diesen kleinen <b>Einführungs-Beitrag</b> auf "unsichtbar", so dass er nicht mehr in der Beitrags-Übersicht auf der Startseite aufgeführt wird. Gehe dazu in den <a href="lib/editor" target="_blank" rel="noopener">Editor</a>, öffne diesen Beitrag, klicke oben auf "Bearbeiten", entferne das Häkchen bei "Veröffentlicht" und klicke auf "Speichern".</li>

	<li>Leg' los und erstelle deinen ersten <b>Beitrag</b>! Rufe dazu den <a href="lib/editor" target="_blank" rel="noopener">Editor</a> auf, klicke oben auf <b>Neu</b>, wähle eine Vorlage oder "Leere Seite" aus und schreib etwas. Auch hierzu nochmal der Verweis auf die <a href="help#user-controls" target="_blank" rel="noopener">Hilfe</a>.</li>
</ul>

<p>Ein Hinweis zum Schluss: Alle hier genannten Links (<a href="lib/editor" target="_blank" rel="noopener">Editor</a>, <a href="lib/setup" target="_blank" rel="noopener">Setup</a>, <a href="help" target="_blank" rel="noopener">Hilfe</a>) und auch diesen kleinen <a href="intro">Einführungstext</a> findest du auch im Menü unter Admin (sofern du dieses Untermenü nicht entfernt hast).</p>

<?php include 'lib/default-footer.php'; ?>
